net.sf.jasperreports.engine

## Interface JasperReportsContext

- All Known Implementing Classes:
    DefaultJasperReportsContext, LocalJasperReportsContext, SimpleJasperReportsContext

      public interface JasperReportsContext

  Version:
    $Id: JasperReportsContext.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> java.util.List<T>` | `getExtensions(java.lang.Class<T> extensionType)` Returns a list of extension objects for a specific extension type.
    `java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
    `java.lang.String` | `getProperty(java.lang.String key)` Returns the value of the property.
    `java.lang.Object` | `getValue(java.lang.String key)`
    `void` | `removeProperty(java.lang.String key)`
    `void` | `setProperty(java.lang.String key, java.lang.String value)`
    `void` | `setValue(java.lang.String key, java.lang.Object value)`

- - ### Method Detail

    - #### getValue

          java.lang.Object getValue(java.lang.String key)

    - #### setValue

          void setValue(java.lang.String key,
                      java.lang.Object value)

    - #### getExtensions

          <T> java.util.List<T> getExtensions(java.lang.Class<T> extensionType)

      Returns a list of extension objects for a specific extension type.
      Type Parameters:
        `T` - generic extension type
      Parameters:
        `extensionType` - the extension type
      Returns:
        a list of extension objects

    - #### getProperty

          java.lang.String getProperty(java.lang.String key)

      Returns the value of the property.
      Parameters:
        `key` - the key
      Returns:
        the property value

    - #### setProperty

          void setProperty(java.lang.String key,
                         java.lang.String value)

    - #### removeProperty

          void removeProperty(java.lang.String key)

    - #### getProperties

          java.util.Map<java.lang.String,java.lang.String> getProperties()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com